### Function

# Gtk show_uri

#### Declaration [src]

    void
    gtk_show_uri (
      GtkWindow* parent,
      const char* uri,
      guint32 timestamp
    )

#### Description [src]

This function launches the default application for showing a given uri, or shows an error dialog if that fails.

#### Parameters

`parent` | `GtkWindow`
| Parent window.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`uri` | `const char*`
| The uri to show.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`timestamp` | `guint32`
| Timestamp from the event that triggered this call, or `GDK_CURRENT_TIME`.